Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.javatest.report
Enum KflSorter.Transitions

    java.lang.Object
      java.lang.Enum<KflSorter.Transitions>
          com.sun.javatest.report.KflSorter.Transitions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KflSorter.Transitions>

Enclosing class:
  KflSorter

    public static enum KflSorter.Transitions

extends java.lang.Enum<KflSorter.Transitions>

Enum Constant Summary
`FAIL2ERROR`
`FAIL2FAIL`
`FAIL2MISSING`
`FAIL2NOTRUN`
`FAIL2PASS`
`NEWFAILURES`
`OTHER_ERRORS`
`TC_FAIL2ERROR`
`TC_FAIL2MISSING`
`TC_FAIL2NOTRUN`
`TC_FAIL2PASS`
`TC_NEWFAILURES`
`TC_PASS2ERROR`

Method Summary
`static KflSorter.Transitions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KflSorter.Transitions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FAIL2PASS

    public static final KflSorter.Transitions FAIL2PASS

### FAIL2ERROR

    public static final KflSorter.Transitions FAIL2ERROR

### FAIL2MISSING

    public static final KflSorter.Transitions FAIL2MISSING

### FAIL2NOTRUN

    public static final KflSorter.Transitions FAIL2NOTRUN

### FAIL2FAIL

    public static final KflSorter.Transitions FAIL2FAIL

### NEWFAILURES

    public static final KflSorter.Transitions NEWFAILURES

### OTHER_ERRORS

    public static final KflSorter.Transitions OTHER_ERRORS

### TC_FAIL2MISSING

    public static final KflSorter.Transitions TC_FAIL2MISSING

### TC_FAIL2PASS

    public static final KflSorter.Transitions TC_FAIL2PASS

### TC_PASS2ERROR

    public static final KflSorter.Transitions TC_PASS2ERROR

### TC_FAIL2NOTRUN

    public static final KflSorter.Transitions TC_FAIL2NOTRUN

### TC_FAIL2ERROR

    public static final KflSorter.Transitions TC_FAIL2ERROR

### TC_NEWFAILURES

    public static final KflSorter.Transitions TC_NEWFAILURES

Method Detail

### values

    public static KflSorter.Transitions[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KflSorter.Transitions c : KflSorter.Transitions.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KflSorter.Transitions valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.